<?php 

// +------------------------------------------------------------------+
// | Package Information                                              |
// +------------------------------------------------------------------+

/**
 * @package     EuropaCartWidgetStoreMenu
 * @copyright   Copyright 1999-Present Kryptronic, Inc.  All rights reserved.
 * @link        http://www.kryptronic.com
 * @license     GNU/GPL
*/

// +------------------------------------------------------------------+
// | Package                                                          |
// +------------------------------------------------------------------+

// +--
// | No direct access.
// +--

defined('_JEXEC') or die('Restricted access');

// +------------------------------------------------------------------+
// | Class Definition                                                 |
// +------------------------------------------------------------------+

class modEuropaCartWidgetStoreMenuHelper {

// +--
// | EuropaCartCommon class variable.
// +--

var $EuropaCartCommon;

var $EuropaCartSkinWidget;

// +------------------------------------------------------------------+
// | Function: exec                                                   |
// +------------------------------------------------------------------+

function exec () {

// +--
// | This function handles an import of the necessary XHTML and parses
// | it for Joomla!.
// +--

$this->EuropaCartSkinWidget = 'ecom.skinwidget_menustore';

// +--
// | Load the EuropaCartCommon class from the EuropaCart_ObjectCache
// | so we can access common libraries.
// +--

global $EuropaCart_ObjectCache;

$this->EuropaCartCommon =& $EuropaCart_ObjectCache['EuropaCartCommon'];

if (empty($this->EuropaCartCommon)) {return '';}

// +--
// | Get the output from the EuropaCart connector.
// +--

$result = $this->EuropaCartCommon->getSkinWidgets();

// +--
// | Return the output.
// +--

if ($result['status'] == 'ERROR') {

    return '';

} else {

     $skinwidgetid = $this->EuropaCartSkinWidget;

     if (empty($result['response'][$skinwidgetid])) {

          return '';

     } else {

          $response = $result['response'][$skinwidgetid];
          $response = $this->EuropaCartCommon->decrypt($response,$this->EuropaCartCommon->EuropaCartPWD);

          $response = preg_replace('/^.*?' . preg_quote('<ul>','/') . '(.*?)' . preg_quote('</ul>','/') . '.*?$/si','<ul class="menu">\\1</ul>',$response);
          $response = preg_replace('/' . preg_quote('<li><a href="','/') . '(.*?)' . preg_quote('">','/') . '(.*?)' . preg_quote('</a></li>','/') . '/si','<li><a href="\\1"><span>\\2</span></a></li>',$response);

          return $response;

     } // End of if statement.

} // End of if statement.

} // End of function.

// +------------------------------------------------------------------+
// | End of Class                                                     |
// +------------------------------------------------------------------+

} // End of class.

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>